Object::ClazzObject Class Reference
Inheritance diagram for Object::ClazzObject:

## Public Member Functions

| ClazzObject ()
virtual | ~ClazzObject ()
virtual log4cxx::LogString | getName () const
Public Member Functions inherited from Class
virtual | ~Class ()
virtual ObjectPtr | newInstance () const
LogString | toString () const

## Additional Inherited Members

Static Public Member Functions inherited from Class
static const Class & | forName (const LogString &className)
static bool | registerClass (const Class &newClass)
Protected Member Functions inherited from Class
| Class ()

## Constructor & Destructor Documentation

## ClazzObject()

ClazzObject | ( |  | ) |

inline

## ~ClazzObject()

virtual ~ClazzObject | ( |  | ) |

inline virtual

## Member Function Documentation

## getName()

virtual log4cxx::LogString getName | ( |  | ) | const

inline virtual

Implements Class.

The documentation for this class was generated from the following file:

- object.h